## org.eclipse.emf.ecore.sdo.impl
Class EDataGraphImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.sdo.impl.EDataGraphImpl

All Implemented Interfaces:
  DataGraph, java.io.Serializable, Adapter, Notifier, EObject, InternalEObject, EDataGraph, EDataGraph.Internal

    public class EDataGraphImpl

extends EObjectImpl
implements EDataGraph, DataGraph, Adapter, EDataGraph.Internal, java.io.Serializable

An implementation of the model object 'EData Graph'.

See Also:
  Serialized Form

Nested Class Summary
`static class` `EDataGraphImpl.EDataGraphExternalizable`
`static class` `EDataGraphImpl.EDataObjectExternalizable`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.sdo.EDataGraph
`EDataGraph.Internal`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EChangeSummary` `eChangeSummary` The cached value of the '`EChange Summary`' reference
`protected EDataGraphImpl.EDataGraphExternalizable` `eDataGraphExternalizable`
`protected EObject` `eRootObject` The cached value of the '`ERoot Object`' reference
`protected ExtendedMetaData` `extendedMetaData` The cached extended metadata to wrap the resource set's package registry.
`protected Adapter` `modificationTracker`
`protected static ResourceSet` `RESOURCE_SET_EDEFAULT` The default value of the '`Resource Set`' attribute
`protected ResourceSet` `resourceSet` The cached value of the '`Resource Set`' attribute
`protected static Resource` `ROOT_RESOURCE_EDEFAULT` The default value of the '`Root Resource`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EDataGraphImpl()`

Method Summary
`NotificationChain` `basicSetEChangeSummary(EChangeSummary newEChangeSummary, NotificationChain msgs)`
`protected Resource` `createChangeSummaryResource()`
`protected EChangeSummary` `createEChangeSummary()`
`protected EDataGraphImpl.EDataGraphExternalizable` `createEDataGraphExternalizable()`
`EDataObject` `createEDataObject(EType type)`
`EObject` `createEObject(EClass type)`
`protected ResourceSet` `createResourceSet()`
`DataObject` `createRootObject(java.lang.String namespaceURI, java.lang.String typeName)` Creates a new root data object of the `specified type`, replacing the existing root, if one exists.
`DataObject` `createRootObject(Type type)` Creates a new root data object of the specified type, replacing the existing root, if one exists.
`protected Resource` `createRootResource()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`EObject` `eObjectForURIFragmentSegment(java.lang.String uriFragmentSegment)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`ChangeSummary` `getChangeSummary()` Returns the `change summary` associated with this data graph.
`Resource` `getDataGraphResource()` Returns the resource of this data graph; one is created if necessary.
`EChangeSummary` `getEChangeSummary()`
`EClassifier` `getEClassifier(java.lang.String namespaceURI, java.lang.String typeName)`
`EObject` `getERootObject()`
`EType` `getEType(java.lang.String namespaceURI, java.lang.String typeName)`
`protected ExtendedMetaData` `getExtendedMetaData()`
`ResourceSet` `getResourceSet()`
`DataObject` `getRootObject()` Returns the root `data object` of this data graph.
`Resource` `getRootResource()`
`Notifier` `getTarget()`
`Type` `getType(java.lang.String namespaceURI, java.lang.String typeName)`
`java.lang.Object` `getWriteReplacement()` Returns an object to be used as a write replacement.
`java.lang.Object` `getWriteReplacement(EObject eObject)` Returns an object to be used as a write replacement for the given object in the data graph..
`protected void` `initializeResourceSet(ResourceSet resourceSet)`
`boolean` `isAdapterForType(java.lang.Object type)`
`void` `notifyChanged(Notification msg)`
`void` `setEChangeSummary(EChangeSummary newEChangeSummary)`
`void` `setERootObject(EObject newERootObject)` Sets the value of the '`ERoot Object`' reference
`void` `setERootObjectGen(EObject newERootObject)`
`void` `setResourceSet(ResourceSet newResourceSet)` Sets the value of the '`Resource Set`' attribute
`void` `setResourceSetGen(ResourceSet newResourceSet)`
`void` `setTarget(Notifier newTarget)`
`java.lang.String` `toString()`
`java.lang.Object` `writeReplace()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### RESOURCE_SET_EDEFAULT

    protected static final ResourceSet RESOURCE_SET_EDEFAULT

  The default value of the '`Resource Set`' attribute.

  See Also:
    `getResourceSet()`

### resourceSet

    protected ResourceSet resourceSet

  The cached value of the '`Resource Set`' attribute.

  See Also:
    `getResourceSet()`

### ROOT_RESOURCE_EDEFAULT

    protected static final Resource ROOT_RESOURCE_EDEFAULT

  The default value of the '`Root Resource`' attribute.

  See Also:
    `getRootResource()`

### eChangeSummary

    protected EChangeSummary eChangeSummary

  The cached value of the '`EChange Summary`' reference.

  See Also:
    `getEChangeSummary()`

### eRootObject

    protected EObject eRootObject

  The cached value of the '`ERoot Object`' reference.

  See Also:
    `getERootObject()`

### extendedMetaData

    protected ExtendedMetaData extendedMetaData

  The cached extended metadata to wrap the resource set's package registry.

### eDataGraphExternalizable

    protected EDataGraphImpl.EDataGraphExternalizable eDataGraphExternalizable

### modificationTracker

    protected Adapter modificationTracker

Constructor Detail

### EDataGraphImpl

    protected EDataGraphImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### isAdapterForType

    public boolean isAdapterForType(java.lang.Object type)

  Specified by:
    `isAdapterForType` in interface `Adapter`

### notifyChanged

    public void notifyChanged(Notification msg)

  Specified by:
    `notifyChanged` in interface `Adapter`

### getTarget

    public Notifier getTarget()

  Specified by:
    `getTarget` in interface `Adapter`

### setTarget

    public void setTarget(Notifier newTarget)

  Specified by:
    `setTarget` in interface `Adapter`

### getExtendedMetaData

    protected ExtendedMetaData getExtendedMetaData()

### getResourceSet

    public ResourceSet getResourceSet()

  Specified by:
    `getResourceSet` in interface `EDataGraph`
  Returns:
    the value of the 'Resource Set' attribute.
  See Also:
    `EDataGraph.setResourceSet(ResourceSet)`, `SDOPackage.getEDataGraph_ResourceSet()`

### createResourceSet

    protected ResourceSet createResourceSet()

### createRootResource

    protected Resource createRootResource()

### createChangeSummaryResource

    protected Resource createChangeSummaryResource()

### initializeResourceSet

    protected void initializeResourceSet(ResourceSet resourceSet)

### setResourceSetGen

    public void setResourceSetGen(ResourceSet newResourceSet)

### setResourceSet

    public void setResourceSet(ResourceSet newResourceSet)

  Description copied from interface: `EDataGraph`
  Sets the value of the '`Resource Set`' attribute.

  Specified by:
    `setResourceSet` in interface `EDataGraph`
  Parameters:
    `newResourceSet` - the new value of the 'Resource Set' attribute.
  See Also:
    `EDataGraph.getResourceSet()`

### getRootResource

    public Resource getRootResource()

  Specified by:
    `getRootResource` in interface `EDataGraph`
  Returns:
    the value of the 'Root Resource' attribute.
  See Also:
    `SDOPackage.getEDataGraph_RootResource()`

### getDataGraphResource

    public Resource getDataGraphResource()

  Description copied from interface: `EDataGraph`
  Returns the resource of this data graph; one is created if necessary.

  Specified by:
    `getDataGraphResource` in interface `EDataGraph`
  Returns:
    the resource of this data graph.

### getEChangeSummary

    public EChangeSummary getEChangeSummary()

  Specified by:
    `getEChangeSummary` in interface `EDataGraph`
  Returns:
    the value of the 'EChange Summary' reference.
  See Also:
    `EDataGraph.setEChangeSummary(EChangeSummary)`, `SDOPackage.getEDataGraph_EChangeSummary()`, `EChangeSummary.getEDataGraph()`

### basicSetEChangeSummary

    public NotificationChain basicSetEChangeSummary(EChangeSummary newEChangeSummary,
                                                    NotificationChain msgs)

### setEChangeSummary

    public void setEChangeSummary(EChangeSummary newEChangeSummary)

  Specified by:
    `setEChangeSummary` in interface `EDataGraph`
  Parameters:
    `newEChangeSummary` - the new value of the 'EChange Summary' reference.
  See Also:
    `EDataGraph.getEChangeSummary()`

### getERootObject

    public EObject getERootObject()

  Specified by:
    `getERootObject` in interface `EDataGraph`
  Returns:
    the value of the 'ERoot Object' reference.
  See Also:
    `EDataGraph.setERootObject(EObject)`, `SDOPackage.getEDataGraph_ERootObject()`

### setERootObjectGen

    public void setERootObjectGen(EObject newERootObject)

### setERootObject

    public void setERootObject(EObject newERootObject)

  Description copied from interface: `EDataGraph`
  Sets the value of the '`ERoot Object`' reference.

  Specified by:
    `setERootObject` in interface `EDataGraph`
  Parameters:
    `newERootObject` - the new value of the 'ERoot Object' reference.
  See Also:
    `EDataGraph.getERootObject()`

### getEClassifier

    public EClassifier getEClassifier(java.lang.String namespaceURI,
                                      java.lang.String typeName)

  Specified by:
    `getEClassifier` in interface `EDataGraph`

### getType

    public Type getType(java.lang.String namespaceURI,
                        java.lang.String typeName)

  Specified by:
    `getType` in interface `DataGraph`
  Parameters:
    `namespaceURI` - the namespace URI of a type or the location URI of a resource containing a type.
    `typeName` - name of a type.
  Returns:
    the type with the corresponding namespace and name.

### getEType

    public EType getEType(java.lang.String namespaceURI,
                          java.lang.String typeName)

### createEObject

    public EObject createEObject(EClass type)

  Specified by:
    `createEObject` in interface `EDataGraph`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `BasicEObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### createEDataObject

    public EDataObject createEDataObject(EType type)

### getRootObject

    public DataObject getRootObject()

  Description copied from interface: `DataGraph`
  Returns the root `data object` of this data graph.

  Specified by:
    `getRootObject` in interface `DataGraph`
  Returns:
    the root data object.
  See Also:
    `DataObject.getDataGraph()`

### createRootObject

    public DataObject createRootObject(java.lang.String namespaceURI,
                                       java.lang.String typeName)

  Description copied from interface: `DataGraph`
  Creates a new root data object of the `specified type`, replacing the existing root, if one exists.

  Specified by:
    `createRootObject` in interface `DataGraph`
  Parameters:
    `namespaceURI` - namespace of the type.
    `typeName` - name of the type.
  Returns:
    the new root.
  See Also:
    `DataGraph.createRootObject(Type)`, `DataGraph.getType(String, String)`

### createRootObject

    public DataObject createRootObject(Type type)

  Description copied from interface: `DataGraph`
  Creates a new root data object of the specified type, replacing the existing root, if one exists.

  Specified by:
    `createRootObject` in interface `DataGraph`
  Parameters:
    `type` - the type of the new root.
  Returns:
    the new root.
  See Also:
    `DataGraph.createRootObject(String, String)`

### getChangeSummary

    public ChangeSummary getChangeSummary()

  Description copied from interface: `DataGraph`
  Returns the `change summary` associated with this data graph.

  Specified by:
    `getChangeSummary` in interface `DataGraph`
  Returns:
    the change summary.
  See Also:
    `ChangeSummary.getDataGraph()`

### createEChangeSummary

    protected EChangeSummary createEChangeSummary()

### getWriteReplacement

    public java.lang.Object getWriteReplacement()

  Description copied from interface: `EDataGraph.Internal`
  Returns an object to be used as a write replacement.

  Specified by:
    `getWriteReplacement` in interface `EDataGraph.Internal`
  Returns:
    an object to be used as a write replacement.

### createEDataGraphExternalizable

    protected EDataGraphImpl.EDataGraphExternalizable createEDataGraphExternalizable()

### getWriteReplacement

    public java.lang.Object getWriteReplacement(EObject eObject)

  Description copied from interface: `EDataGraph.Internal`
  Returns an object to be used as a write replacement for the given object in the data graph..

  Specified by:
    `getWriteReplacement` in interface `EDataGraph.Internal`
  Parameters:
    `eObject` - the object in question.
  Returns:
    an object to be used as a write replacement.

### writeReplace

    public java.lang.Object writeReplace()

### eObjectForURIFragmentSegment

    public EObject eObjectForURIFragmentSegment(java.lang.String uriFragmentSegment)

  Specified by:
    `eObjectForURIFragmentSegment` in interface `InternalEObject`
  Overrides:
    `eObjectForURIFragmentSegment` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.